<?xml version="1.0" encoding="utf-8" ?>
<!--
 * xplo.re .NET
 *
 * Copyright (C) 2018, xplo.re IT Services, Michael Maier.
 * All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0.
 * See bundled LICENSE.txt for license information.
 -->
<Project xmlns="http://schemas.microsoft.com/developer/msbuild/2003">

  <!-- Auto-detect repository type, if no repository was defined.
       This is done by checking for well-known VCS metadirectories in the project root, but may fail if a project is in
       a sub-directory of the repository for most DVCS types. -->
  <PropertyGroup Condition=" '$(RepositoryType)' == '' ">
    <RepositoryType Condition="Exists('$(MSBuildProjectDirectory)\.git\')">git</RepositoryType>
    <RepositoryType Condition="Exists('$(MSBuildProjectDirectory)\.hg\')">hg</RepositoryType>
    <RepositoryType Condition="Exists('$(MSBuildProjectDirectory)\.svn\')">svn</RepositoryType>
    <RepositoryType Condition="Exists('$(MSBuildProjectDirectory)\.bzr\')">bzr</RepositoryType>
  </PropertyGroup>

</Project>
